## fonts-hosny-amiri 0.015

=== Makefile ===
.PHONY: all clean ttf web pack

VERSION=0.015

TOOLS=tools
SRC=sources
WEB=web
DOC=documentation
FONTS=amiri-regular

BUILD=$(TOOLS)/build.py
FF=python $(BUILD)
MKEOT=ttf2eot

SFDS=$(FONTS:%=$(SRC)/%.sfd)
DTTF=$(FONTS:%=%.ttf)
WTTF=$(FONTS:%=$(WEB)/%.ttf)
WOFF=$(FONTS:%=$(WEB)/%.woff)
EOTS=$(FONTS:%=$(WEB)/%.eot)
PDFS=$(FONTS:%=$(DOC)/%-table.pdf)
CSSS=$(WEB)/amiri.css
FEAT=$(SRC)/classes.fea $(SRC)/gsub.fea $(SRC)/locl.fea $(SRC)/tnum.fea $(SRC)/lellah.fea $(SRC)/calt.fea $(SRC)/kern.fea

docfiles=$(DOC)/README.txt $(DOC)/README-Arabic.txt $(DOC)/NEWS.txt $(DOC)/NEWS-Arabic.txt
license=OFL.txt OFL-FAQ.txt

all: ttf web

ttf: $(DTTF)
web: $(WTTF) $(WOFF) $(EOTS) $(CSSS)
table: $(PDFS)

%.ttf: $(SRC)/%.sfd $(FEAT) $(BUILD)
	@echo "   FF\t$@"
	@$(FF) --input $< --output $@ --feature-files "$(FEAT)" --version $(VERSION) --no-localised-name

$(WEB)/%.ttf: $(SRC)/%.sfd $(FEAT) $(BUILD)
	@echo "   FF\t$@"
	@mkdir -p $(WEB)
	@$(FF) --web --input $< --output $@ --feature-files "$(FEAT)" --version $(VERSION)

$(WEB)/%.woff: $(SRC)/%.sfd $(FEAT) $(BUILD)
	@echo "   FF\t$@"
	@mkdir -p $(WEB)
	@$(FF) --web --input $< --output $@ --feature-files "$(FEAT)" --version $(VERSION)

$(WEB)/%.eot: $(WEB)/%.ttf
	@echo "   FF\t$@"
	@mkdir -p $(WEB)
	@$(MKEOT) $< > $@

$(WEB)/%.css: $(SFDS) $(BUILD)
	@echo "   GEN\t$@"
	@mkdir -p $(WEB)
	@$(FF) --css --input $^ --output $@ --version $(VERSION)

$(DOC)/%-table.pdf: %.ttf
	@echo "   GEN\t$@"
	@mkdir -p $(DOC)
	@fntsample --font-file $< --output-file $@.tmp --print-outline > $@.txt
	@pdfoutline $@.tmp $@.txt $@

clean:
	@rm -rf $(DTTF) $(WTTF) $(WOFF) $(EOTS) $(CSSS)

=== debian/changelog ===
fonts-hosny-amiri (0.015-1) unstable; urgency=low

  * New upstream release.
  * Use fontforge to build the font
    + debian/control: Added python-fontforge and fntsample to Build-Deps
    + debian/rules:
      - Remove empty override for dh_auto_clean
      - Override dh_auto_build to build font & documentation
  * Added missing_lang.fea.diff to add sources/lang.fea file that was
    forgotten by upstream.
  * Added doc-clean.diff patch to remove temporary files generated at doc.
    build
  * debian/docs: Install Unicode coverage documentation.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 18 Jul 2011 07:28:45 +0200

fonts-hosny-amiri (0.014-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated copyright years.
  * debian/control: Moved packaging to Git

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 19 Jun 2011 10:40:32 +0200

fonts-hosny-amiri (0.013-1) unstable; urgency=low

  [ Ahmed El-Mahmoudy ]
  * New upstream release

  [ Christian Perrier ]
  * Add DM-Upload-Allowed field

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 02 May 2011 05:28:30 +0200

fonts-hosny-amiri (0.011-1) unstable; urgency=low

  * New upstream release
  * debian/docs: Updated paths
  * debian/control: Bumped Standards-Version to 3.9.2

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 09 Apr 2011 15:16:52 +0200

fonts-hosny-amiri (0.009-1) unstable; urgency=low

  * New upstream release
  * Rename package to fonts-hosny-amiri (Closes: #612565)
  * debian/control:
    + Add Replaces: font-hosny-amiri (<< 0.009)
    + Add Provides: font-hosny-amiri
    + font-hosny-amiri is now a transitional package that
      Depends: fonts-hosny-amiri
    + Updated Vcs-* fields.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 19 Feb 2011 20:52:50 +0200

font-hosny-amiri (0.003-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Clarify that the font is an Arabic font in the description, also mention
      that it does not contain Latin characters. (Closes: #602675)
    + Change section to fonts. (Closes: #602717)
  * Added debian/docs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 08 Nov 2010 12:41:33 +0200

font-hosny-amiri (0.001-1) unstable; urgency=low

  * Initial release (Closes: #597441)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 19 Sep 2010 22:45:50 +0300

=== debian/control ===
Source: fonts-hosny-amiri
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), python-fontforge, fntsample
Standards-Version: 3.9.2
Homepage: http://amiri.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-fonts/fonts-hosny-amiri.git
Vcs-Browser: http://git.debian.org/?p=pkg-fonts/fonts-hosny-amiri.git

Package: fonts-hosny-amiri
Architecture: all
Depends: ${misc:Depends}
Replaces: font-hosny-amiri (<< 0.009)
Provides: font-hosny-amiri
Description: Arabic Naskh style typographically oriented font
 Amiri font is an Arabic Naskh style, typographically oriented font, mainly for
 printing and running text.
 .
 Amiri font is a revival of the beautiful typeface pioneered by Bulaq Press,
 also known as Amiria Press, hence the name.
 .
 The uniqueness of this typeface comes from its superb balance between the
 beauty of Naskh calligraphy on the one hand, and the constraints and
 requirements of elegant typography on the other. Also, it is one of the few
 metal typefaces that were used in typesetting the Koran (as opposed to the
 usual handwritten calligraphy), making it a good source for a typeface to be
 used in typesetting Koranic verses.
 .
 Amiri Font Project aims at the revival of the aesthetics and traditions of
 Arabic typesetting (if partially), and adapting it to the era of digital
 typesetting, in a publicly available form.
 .
 This font does not contain Latin characters.

Package: font-hosny-amiri
Architecture: all
Depends: ${misc:Depends}, fonts-hosny-amiri
Description: Arabic Naskh style typographically oriented font (transitional package)
 Amiri font is an Arabic Naskh style, typographically oriented font, mainly for
 printing and running text.
 .
 Amiri font is a revival of the beautiful typeface pioneered by Bulaq Press,
 also known as Amiria Press, hence the name.
 .
 The uniqueness of this typeface comes from its superb balance between the
 beauty of Naskh calligraphy on the one hand, and the constraints and
 requirements of elegant typography on the other. Also, it is one of the few
 metal typefaces that were used in typesetting the Koran (as opposed to the
 usual handwritten calligraphy), making it a good source for a typeface to be
 used in typesetting Koranic verses.
 .
 Amiri Font Project aims at the revival of the aesthetics and traditions of
 Arabic typesetting (if partially), and adapting it to the era of digital
 typesetting, in a publicly available form.
 .
 This font does not contain Latin characters.
 .
 This is a dummy transitional package that will ensure a proper upgrade path.
 This package may be safely removed after upgrading.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_auto_build:
	make ttf
	make table

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/amiri/amiri-(.*)\.tar\.bz2

## fonts-hosny-amiri 0.016

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,19 @@
-.PHONY: all clean ttf web pack
+.PHONY: all clean ttf web pack check
 
-VERSION=0.015
+VERSION=0.016
 
 TOOLS=tools
 SRC=sources
 WEB=web
 DOC=documentation
+TESTS=test-suite
 FONTS=amiri-regular
+# the order of feature files is important
+FEA=lang classes locl ccmp gsub quran tnum rtlm lellah calt kern
+DOCS=README README-Arabic NEWS NEWS-Arabic
 
 BUILD=$(TOOLS)/build.py
+RUNTEST=$(TOOLS)/runtest.py
 FF=python $(BUILD)
 MKEOT=ttf2eot
 
@@ -19,9 +24,10 @@
 EOTS=$(FONTS:%=$(WEB)/%.eot)
 PDFS=$(FONTS:%=$(DOC)/%-table.pdf)
 CSSS=$(WEB)/amiri.css
-FEAT=$(SRC)/classes.fea $(SRC)/gsub.fea $(SRC)/locl.fea $(SRC)/tnum.fea $(SRC)/lellah.fea $(SRC)/calt.fea $(SRC)/kern.fea
+FEAT=$(FEA:%=$(SRC)/%.fea)
+TEST=$(wildcard $(TESTS)/*.test)
 
-docfiles=$(DOC)/README.txt $(DOC)/README-Arabic.txt $(DOC)/NEWS.txt $(DOC)/NEWS-Arabic.txt
+DOCFILES=$(DOCS:%=$(DOC)/%.txt)
 license=OFL.txt OFL-FAQ.txt
 
 all: ttf web
@@ -60,6 +66,10 @@
 	@fntsample --font-file $< --output-file $@.tmp --print-outline > $@.txt
 	@pdfoutline $@.tmp $@.txt $@
 
+check: $(TEST)
+	@echo "running tests"
+	@$(RUNTEST) $^
+
 clean:
 	@rm -rf $(DTTF) $(WTTF) $(WOFF) $(EOTS) $(CSSS)

=== debian/changelog ===
fonts-hosny-amiri (0.016-1) unstable; urgency=low

  * New upstream release.
  * Drop missing_lang.fea.diff patch: included upstream
  * Refreshed doc-clean.diff patch
  * debian/rules: Disable dh_auto_test until HarfBuzz is available in Debian.
  * debian/copyright: Updated copyright format.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 24 Sep 2011 22:48:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,5 @@
 override_dh_auto_build:
 	make ttf
 	make table
+
+override_dh_auto_test:

## fonts-hosny-amiri 0.100

=== Makefile ===
.PHONY: all clean ttf web pack check

VERSION=0.100

TOOLS=tools
SRC=sources
WEB=web
DOC=documentation
TESTS=test-suite
FONTS=amiri-regular amiri-slanted
DOCS=README README-Arabic NEWS NEWS-Arabic

BUILD=$(TOOLS)/build.py
RUNTEST=$(TOOLS)/runtest.py
FF=python $(BUILD)
MKEOT=ttf2eot
MKWOFF=sfnt2woff

SFDS=$(FONTS:%=$(SRC)/%.sfd)
DTTF=$(FONTS:%=%.ttf)
WTTF=$(FONTS:%=$(WEB)/%.ttf)
WOFF=$(FONTS:%=$(WEB)/%.woff)
EOTS=$(FONTS:%=$(WEB)/%.eot)
PDFS=$(DOC)/amiri-table.pdf
CSSS=$(WEB)/amiri.css
FEAT=$(wildcard $(SRC)/*.fea)
TEST=$(wildcard $(TESTS)/*.test)

DOCFILES=$(DOCS:%=$(DOC)/%.txt)
license=OFL.txt OFL-FAQ.txt

all: ttf web

ttf: $(DTTF)
web: $(WTTF) $(WOFF) $(EOTS) $(CSSS)
doc: $(PDFS)

$(WEB)/%.ttf: %.ttf $(BUILD)
	@echo "   FF\t$@"
	@mkdir -p $(WEB)
	@$(FF) --input $< --output $@ --web

%.ttf: $(SRC)/%.sfd $(SRC)/%.fea $(FEAT) $(BUILD)
	@echo "   FF\t$@"
	@$(FF) --input $< --output $@ --desktop --feature-file $(<:%.sfd=%.fea) --version $(VERSION) --no-localised-name

%-slanted.ttf: $(SRC)/%-regular.sfd $(SRC)/%-regular.fea $(FEAT) $(BUILD)
	@echo "   FF\t$@"
	@$(FF) --input $< --output $@ --desktop --feature-file $(<:%.sfd=%.fea) --version $(VERSION) --no-localised-name --slant=7

$(WEB)/%.woff: $(WEB)/%.ttf
	@echo "   FF\t$@"
	@mkdir -p $(WEB)
	@$(MKWOFF) $<

$(WEB)/%.eot: $(WEB)/%.ttf
	@echo "   FF\t$@"
	@mkdir -p $(WEB)
	@$(MKEOT) $< > $@

$(WEB)/%.css: $(WTTF) $(BUILD)
	@echo "   GEN\t$@"
	@mkdir -p $(WEB)
	@$(FF) --css --input "$(WTTF)" --output $@ --version $(VERSION)

$(DOC)/amiri-table.pdf: amiri-regular.ttf
	@echo "   GEN\t$@"
	@mkdir -p $(DOC)
	@fntsample --font-file $< --output-file $@.tmp --print-outline > $@.txt
	@pdfoutline $@.tmp $@.txt $@
	@rm -f $@.tmp $@.txt

check: $(TEST) $(DTTF)
ifeq ($(shell which hb-shape),)
	@echo "hb-shape not found, skipping tests"
else
	@echo "running tests"
	@$(RUNTEST) $(TEST)
endif

clean:
	rm -rfv $(DTTF) $(WTTF) $(WOFF) $(EOTS) $(CSSS) $(PDFS)

=== debian/changelog ===
fonts-hosny-amiri (0.100-1) unstable; urgency=low

  * New upstream release.
  * Removed doc-clean.diff patch as it is included upstream.
  * debian/rules: Target to build documentation is renamed to doc
  * debian/docs: Documentation got renamed to amiri-table.pdf
  * debian/control:
    + Updated homepage URL
    + Marked font-hosny-amiri as oldlibs/extra

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 05 Dec 2011 11:00:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), python-fontforge, fntsample
 Standards-Version: 3.9.2
-Homepage: http://amiri.sourceforge.net
+Homepage: http://www.amirifont.org
 Vcs-Git: git://git.debian.org/git/pkg-fonts/fonts-hosny-amiri.git
 Vcs-Browser: http://git.debian.org/?p=pkg-fonts/fonts-hosny-amiri.git
 
@@ -37,6 +37,8 @@
 
 Package: font-hosny-amiri
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, fonts-hosny-amiri
 Description: Arabic Naskh style typographically oriented font (transitional package)
  Amiri font is an Arabic Naskh style, typographically oriented font, mainly for

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,6 @@
 
 override_dh_auto_build:
 	make ttf
-	make table
+	make doc
 
 override_dh_auto_test:

## fonts-hosny-amiri 0.101

=== Makefile ===
.PHONY: all clean ttf web pack check

NAME=amiri
VERSION=0.101

TOOLS=tools
SRC=sources
WEB=web
DOC=documentation
TESTS=test-suite
FONTS=$(NAME)-regular $(NAME)-bold $(NAME)-slanted $(NAME)-boldslanted
DOCS=README README-Arabic NEWS NEWS-Arabic
DIST=$(NAME)-$(VERSION)

BUILD=$(TOOLS)/build.py
RUNTEST=$(TOOLS)/runtest.py
FF=python $(BUILD)
MKEOT=ttf2eot
MKWOFF=sfnt2woff

SFDS=$(FONTS:%=$(SRC)/%.sfd)
DTTF=$(FONTS:%=%.ttf)
WTTF=$(FONTS:%=$(WEB)/%.ttf)
WOFF=$(FONTS:%=$(WEB)/%.woff)
EOTS=$(FONTS:%=$(WEB)/%.eot)
PDFS=$(DOC)/$(NAME)-table.pdf
CSSS=$(WEB)/$(NAME).css
FEAT=$(wildcard $(SRC)/*.fea)
TEST=$(wildcard $(TESTS)/*.test)

DOCFILES=$(DOCS:%=$(DOC)/%.txt)
license=OFL.txt OFL-FAQ.txt

all: ttf web

ttf: $(DTTF)
web: $(WTTF) $(WOFF) $(EOTS) $(CSSS)
doc: $(PDFS)

$(WEB)/%.ttf: %.ttf $(BUILD)
	@echo "   FF\t$@"
	@mkdir -p $(WEB)
	@$(FF) --input $< --output $@ --web 1>/dev/null 2>&1

%.ttf: $(SRC)/%.sfd $(SRC)/%.fea $(FEAT) $(BUILD)
	@echo "   FF\t$@"
	@$(FF) --input $< --output $@ --version $(VERSION)

$(NAME)-slanted.ttf: $(NAME)-regular.ttf $(BUILD)
	@echo "   FF\t$@"
	@$(FF) --input $< --output $@ --version $(VERSION) --slant=7 1>/dev/null 2>&1

$(NAME)-boldslanted.ttf: $(NAME)-bold.ttf $(BUILD)
	@echo "   FF\t$@"
	@$(FF) --input $< --output $@ --version $(VERSION) --slant=7 1>/dev/null 2>&1

$(WEB)/%.woff: $(WEB)/%.ttf
	@echo "   FF\t$@"
	@mkdir -p $(WEB)
	@$(MKWOFF) $<

$(WEB)/%.eot: $(WEB)/%.ttf
	@echo "   FF\t$@"
	@mkdir -p $(WEB)
	@$(MKEOT) $< > $@

$(WEB)/%.css: $(WTTF) $(BUILD)
	@echo "   GEN\t$@"
	@mkdir -p $(WEB)
	@$(FF) --css --input "$(WTTF)" --output $@ --version $(VERSION)

$(DOC)/$(NAME)-table.pdf: $(NAME)-regular.ttf
	@echo "   GEN\t$@"
	@mkdir -p $(DOC)
	@fntsample --exclude-range 0x25A0-0x25FF --font-file $< --output-file $@.tmp --print-outline > $@.txt
	@pdfoutline $@.tmp $@.txt $@
	@rm -f $@.tmp $@.txt

check: $(TEST) $(DTTF)
ifeq ($(shell which hb-shape),)
	@echo "hb-shape not found, skipping tests"
else
	@echo "running tests"
	@$(RUNTEST) $(TEST)
endif

clean:
	rm -rfv $(DTTF) $(WTTF) $(WOFF) $(EOTS) $(CSSS) $(PDFS)

=== debian/changelog ===
fonts-hosny-amiri (0.101-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated extended description
    + Added fonttools to Build-Deps

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 29 Dec 2011 09:39:31 +0200

=== debian/control ===
Source: fonts-hosny-amiri
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), python-fontforge, fntsample, fonttools
Standards-Version: 3.9.2
Homepage: http://www.amirifont.org
Vcs-Git: git://git.debian.org/git/pkg-fonts/fonts-hosny-amiri.git
Vcs-Browser: http://git.debian.org/?p=pkg-fonts/fonts-hosny-amiri.git

Package: fonts-hosny-amiri
Architecture: all
Depends: ${misc:Depends}
Replaces: font-hosny-amiri (<< 0.009)
Provides: font-hosny-amiri
Description: Arabic Naskh style typographically oriented font
 Amiri is a classical Arabic typeface in Naskh style for typesetting
 books and other running text.
 .
 Its design is a revival of the beautiful typeface pioneered in early
 20th century by Bulaq Press in Cairo, also known as Amiria Press, after
 which the font is named.
 .
 Amiri font covers the full Unicode 6.0 Arabic and Arabic Supplement
 blocks, as well as the compatibility Arabic Presentation Forms-A and B
 blocks.
 .
 This font does not contain Latin characters.

Package: font-hosny-amiri
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, fonts-hosny-amiri
Description: Arabic Naskh style typographically oriented font (transitional package)
 Amiri is a classical Arabic typeface in Naskh style for typesetting
 books and other running text.
 .
 Its design is a revival of the beautiful typeface pioneered in early
 20th century by Bulaq Press in Cairo, also known as Amiria Press, after
 which the font is named.
 .
 Amiri font covers the full Unicode 6.0 Arabic and Arabic Supplement
 blocks, as well as the compatibility Arabic Presentation Forms-A and B
 blocks.
 .
 This font does not contain Latin characters.
 .
 This is a dummy transitional package that will ensure a proper upgrade path.
 This package may be safely removed after upgrading.

## fonts-hosny-amiri 0.103

=== debian/changelog ===
fonts-hosny-amiri (0.103-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Compress package with xz

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 06 Jun 2012 07:41:00 +0200

fonts-hosny-amiri (0.102-2) unstable; urgency=low

  * debian/control: Modified description, the font now provides Latin support.
    Thanks to Khaled Hosny <khaledhosny@eglug.org>

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 26 May 2012 17:33:40 +0200

fonts-hosny-amiri (0.102-1) unstable; urgency=low

  * New upstream release.
  * Bumped compat level to 9
  * debian/control: Bumped Standards-Version to 3.9.3
  * debian/copyright: Updated copyright format & years.
  * debian/rules: Re-enable dh_auto_test, the upstream makefile checks for
    HarfBuzz before running checks.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 26 May 2012 10:06:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), python-fontforge, fntsample, fonttools
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), python-fontforge, fntsample, fonttools
+Standards-Version: 3.9.3
 Homepage: http://www.amirifont.org
 Vcs-Git: git://git.debian.org/git/pkg-fonts/fonts-hosny-amiri.git
 Vcs-Browser: http://git.debian.org/?p=pkg-fonts/fonts-hosny-amiri.git
@@ -26,8 +26,6 @@
  Amiri font covers the full Unicode 6.0 Arabic and Arabic Supplement
  blocks, as well as the compatibility Arabic Presentation Forms-A and B
  blocks.
- .
- This font does not contain Latin characters.
 
 Package: font-hosny-amiri
 Architecture: all
@@ -46,7 +44,5 @@
  blocks, as well as the compatibility Arabic Presentation Forms-A and B
  blocks.
  .
- This font does not contain Latin characters.
- .
  This is a dummy transitional package that will ensure a proper upgrade path.
  This package may be safely removed after upgrading.

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,5 @@
 	make ttf
 	make doc
 
-override_dh_auto_test:
+override_dh_builddeb:
+	dh_builddeb -- -Zxz

## fonts-hosny-amiri 0.107

=== Makefile ===
.PHONY: all clean ttf web pack check

NAME=amiri
VERSION=0.107

TOOLS=tools
SRC=sources
WEB=webfonts
DOC=documentation
TESTS=test-suite
FONTS=$(NAME)-regular $(NAME)-quran $(NAME)-bold $(NAME)-slanted $(NAME)-boldslanted
DOCS=README README-Arabic NEWS NEWS-Arabic
DIST=$(NAME)-$(VERSION)

BUILD=$(TOOLS)/build.py
RUNTEST=$(TOOLS)/runtest.py
CHECKBLANKS=$(TOOLS)/checkblankglyphs.py
PY=python
FF=$(PY) $(BUILD)
SFNTTOOL=sfnttool
PP=gpp +c "/*" "*/" +c "//" "\n" +c "\\\n" "" -I$(SRC)

SFDS=$(FONTS:%=$(SRC)/%.sfd)
DTTF=$(FONTS:%=%.ttf)
WTTF=$(FONTS:%=$(WEB)/%.ttf)
WOFF=$(FONTS:%=$(WEB)/%.woff)
EOTS=$(FONTS:%=$(WEB)/%.eot)
CSSS=$(WEB)/$(NAME).css
PDFS=$(DOC)/$(NAME)-table.pdf $(DOC)/documentation-arabic.pdf
FEAT=$(wildcard $(SRC)/*.fea)
TEST=$(wildcard $(TESTS)/*.test)
TEST+=$(wildcard $(TESTS)/*.ptest)

DOCFILES=$(DOCS:%=$(DOC)/%.txt)
license=OFL.txt OFL-FAQ.txt

all: ttf web

ttf: $(DTTF)
web: $(WTTF) $(WOFF) $(EOTS) $(CSSS)
doc: $(PDFS)

$(NAME)-quran.ttf: $(SRC)/$(NAME)-regular.sfd $(SRC)/crimson/Crimson-Roman.sfd $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) -DQURAN $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-quran.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-quran.fea.pp --version $(VERSION) --quran

$(NAME)-regular.ttf: $(SRC)/$(NAME)-regular.sfd $(SRC)/crimson/Crimson-Roman.sfd $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-regular.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-regular.fea.pp --version $(VERSION)

$(NAME)-slanted.ttf: $(SRC)/$(NAME)-regular.sfd $(SRC)/crimson/Crimson-Italic.sfd $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) -DITALIC $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-slanted.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-slanted.fea.pp --version $(VERSION) --slant=10

$(NAME)-bold.ttf: $(SRC)/$(NAME)-bold.sfd $(SRC)/crimson/Crimson-Bold.sfd $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-bold.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-bold.fea.pp --version $(VERSION)

$(NAME)-boldslanted.ttf: $(SRC)/$(NAME)-bold.sfd $(SRC)/crimson/Crimson-BoldItalic.sfd $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) -DITALIC $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-boldslanted.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-boldslanted.fea.pp --version $(VERSION) --slant=10

$(WEB)/%.ttf: %.ttf $(BUILD)
	@echo "   FF	$@"
	@mkdir -p $(WEB)
	@$(FF) --input $< --output $@ --web 1>/dev/null 2>&1

$(WEB)/%.woff: $(WEB)/%.ttf
	@echo "   FF	$@"
	@mkdir -p $(WEB)
	@$(SFNTTOOL) -w $< $@

$(WEB)/%.eot: $(WEB)/%.ttf
	@echo "   FF	$@"
	@mkdir -p $(WEB)
	@$(SFNTTOOL) -e -x $< $@

$(WEB)/%.css: $(WTTF) $(BUILD)
	@echo "   GEN	$@"
	@mkdir -p $(WEB)
	@$(FF) --css --input "$(WTTF)" --output $@ --version $(VERSION)

$(DOC)/$(NAME)-table.pdf: $(NAME)-regular.ttf
	@echo "   GEN	$@"
	@mkdir -p $(DOC)
	@fntsample --font-file $< --output-file $@.tmp --print-outline > $@.txt
	@pdfoutline $@.tmp $@.txt $@
	@rm -f $@.tmp $@.txt

$(DOC)/documentation-arabic.pdf: $(DOC)/$(DOC)-$(SRC)/documentation-arabic.tex
	@echo "   GEN	$@"
	@latexmk --norc --xelatex --quiet --output-directory=${DOC} $<

check: $(TEST) $(DTTF)
	@echo "running tests"
	@$(PY) $(CHECKBLANKS) $(DTTF) 1>/dev/null 2>&1
ifeq ($(shell which hb-shape),)
	@echo "hb-shape not found, skipping tests"
else
	@$(PY) $(RUNTEST) $(TEST)
endif

clean:
	rm -rfv $(DTTF) $(WTTF) $(WOFF) $(EOTS) $(CSSS) $(PDFS) $(SRC)/$(NAME).fea.pp
	rm -rfv $(DOC)/documentation-arabic.{aux,log,toc}

=== debian/changelog ===
fonts-hosny-amiri (0.107-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Upstream now releases in zip format.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 30 Dec 2013 15:52:58 +0200

fonts-hosny-amiri (0.106-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Do not rebuild the fonts, just install them.
  * debian/control:
    + Bumped Standards-Version to 3.9.5
    + Remove obsolete DMUA field.
    + Use canonical URIs in VCS-* fields.
    + Removed python-fontforge, fntsample, fonttools from Build-Deps
    + Used fontforge-nox | fontforge in Build-Deps-Indep
    + Add Multi-Arch: foreign field.
  * debian/copyright: Updated copyright years.
  * debian/docs: Added documentation-arabic.pdf

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 29 Dec 2013 13:17:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), python-fontforge, fntsample, fonttools
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: fontforge-nox | fontforge
+Standards-Version: 3.9.5
 Homepage: http://www.amirifont.org
-Vcs-Git: git://git.debian.org/git/pkg-fonts/fonts-hosny-amiri.git
-Vcs-Browser: http://git.debian.org/?p=pkg-fonts/fonts-hosny-amiri.git
+Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-hosny-amiri.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-hosny-amiri.git
 
 Package: fonts-hosny-amiri
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: font-hosny-amiri (<< 0.009)
 Provides: font-hosny-amiri

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_test:

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/amiri/amiri-(.*)\.(?:tar\.bz2|zip)

## fonts-hosny-amiri 0.109

=== Makefile ===
.PHONY: all clean ttf web pack check

NAME=amiri
VERSION=0.109

TOOLS=tools
SRC=sources
WEB=webfonts
DOC=documentation
TESTS=test-suite
FONTS=$(NAME)-regular $(NAME)-quran $(NAME)-quran-colored $(NAME)-bold $(NAME)-slanted $(NAME)-boldslanted
DIST=$(NAME)-$(VERSION)
WDIST=$(NAME)-$(VERSION)-webfonts

BUILD=$(TOOLS)/build.py
RUNTEST=$(TOOLS)/runtest.py
MAKECLR=$(TOOLS)/makeclr.py
MAKECSS=$(TOOLS)/makecss.py
MAKEWEB=$(TOOLS)/makeweb.py
PY=python3
FF=python2.7 $(BUILD)
PP=gpp -I$(SRC)

SFDS=$(FONTS:%=$(SRC)/%.sfdir)
DTTF=$(FONTS:%=%.ttf)
WTTF=$(FONTS:%=$(WEB)/%.ttf)
WOFF=$(FONTS:%=$(WEB)/%.woff)
WOF2=$(FONTS:%=$(WEB)/%.woff2)
CSSS=$(WEB)/$(NAME).css
PDFS=$(DOC)/$(NAME)-table.pdf $(DOC)/documentation-arabic.pdf
FEAT=$(wildcard $(SRC)/*.fea)
TEST=$(wildcard $(TESTS)/*.test)
TEST+=$(wildcard $(TESTS)/*.ptest)

all: ttf web

ttf: $(DTTF)
web: $(WTTF) $(WOFF) $(WOF2) $(CSSS)
doc: $(PDFS)

$(NAME)-quran.ttf: $(SRC)/$(NAME)-regular.sfdir $(SRC)/latin/amirilatin-regular.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) -DQURAN $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-quran.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-quran.fea.pp --version $(VERSION) --quran

$(NAME)-quran-colored.ttf: $(NAME)-quran.ttf $(MAKECLR)
	@echo "   FF	$@"
	@$(PY) $(MAKECLR) $< $@

$(NAME)-regular.ttf: $(SRC)/$(NAME)-regular.sfdir $(SRC)/latin/amirilatin-regular.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-regular.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-regular.fea.pp --version $(VERSION)

$(NAME)-slanted.ttf: $(SRC)/$(NAME)-regular.sfdir $(SRC)/latin/amirilatin-italic.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) -DITALIC $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-slanted.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-slanted.fea.pp --version $(VERSION) --slant=10

$(NAME)-bold.ttf: $(SRC)/$(NAME)-bold.sfdir $(SRC)/latin/amirilatin-bold.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-bold.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-bold.fea.pp --version $(VERSION)

$(NAME)-boldslanted.ttf: $(SRC)/$(NAME)-bold.sfdir $(SRC)/latin/amirilatin-bolditalic.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) -DITALIC $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-boldslanted.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-boldslanted.fea.pp --version $(VERSION) --slant=10

$(WEB)/%.ttf $(WEB)/%.woff $(WEB)/%.woff2: %.ttf $(MAKEWEB)
	@echo "   WEB	$*"
	@mkdir -p $(WEB)
	@$(PY) $(MAKEWEB) $< $(WEB)

$(WEB)/%.css: $(WTTF) $(MAKECSS)
	@echo "   GEN	$@"
	@mkdir -p $(WEB)
	@$(PY) $(MAKECSS) --css=$@ --fonts="$(WTTF)"

$(DOC)/$(NAME)-table.pdf: $(NAME)-regular.ttf
	@echo "   GEN	$@"
	@mkdir -p $(DOC)
	@fntsample --font-file $< --output-file $@.tmp --print-outline > $@.txt
	@pdfoutline $@.tmp $@.txt $@
	@rm -f $@.tmp $@.txt

$(DOC)/documentation-arabic.pdf: $(DOC)/documentation-arabic.tex $(DTTF)
	@echo "   GEN	$@"
	@latexmk --norc --xelatex --quiet --output-directory=${DOC} $<

check: $(TEST) $(DTTF)
	@echo "running tests"
	@$(foreach font,$(DTTF),echo "   OTS	$(font)" && ot-sanitise $(font) &&) true
	@$(PY) $(RUNTEST) $(TEST)

clean:
	rm -rfv $(DTTF) $(WTTF) $(WOFF) $(WOF2) $(CSSS) $(PDFS) $(SRC)/$(NAME).fea.pp
	rm -rfv $(DOC)/documentation-arabic.{aux,log,toc}

distclean:
	@rm -rf $(DIST) $(DIST).zip $(WDIST) $(WDIST).zip

dist: all check pack doc
	@echo "   Making dist tarball"
	@mkdir -p $(DIST)
	@mkdir -p $(WDIST)
	@cp OFL.txt $(DIST)
	@cp OFL.txt $(WDIST)
	@cp $(DTTF) $(DIST)
	@cp README.md $(DIST)/README
	@cp README-Arabic.md $(DIST)/README-Arabic
	@cp NEWS.md $(DIST)/NEWS
	@cp NEWS-Arabic.md $(DIST)/NEWS-Arabic
	@cp $(WTTF) $(WDIST)
	@cp $(WOFF) $(WDIST)
	@cp $(WOF2) $(WDIST)
	@cp $(CSSS) $(WDIST)
	@cp $(WEB)/README $(WDIST)
	@cp $(PDFS) $(DIST)
	@zip -r $(DIST).zip $(DIST)
	@zip -r $(WDIST).zip $(WDIST)

=== debian/changelog ===
fonts-hosny-amiri (0.109-2) unstable; urgency=medium

  * Update Standards-Version to 4.1.1
  * Remove transitional package (Closes: #878491)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 22 Oct 2017 03:16:26 +0200

fonts-hosny-amiri (0.109-1) unstable; urgency=medium

  * New upstream release (LP: #1546182)
  * Bumped compat level
  * Change priority of transitional package to optional
  * Update Standards-Version to 4.1.0
  * Change Vcs-* fields to secure URLs
  * Update watch file since upstream switched to GitHub
  * Update copyright years
  * Update my email address
  * Add upstream metadata

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 29 Sep 2017 04:06:20 +0200

=== debian/control ===
Source: fonts-hosny-amiri
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: fontforge-nox | fontforge
Standards-Version: 4.1.1
Homepage: http://www.amirifont.org
Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/fonts-hosny-amiri.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/fonts-hosny-amiri.git

Package: fonts-hosny-amiri
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: font-hosny-amiri (<< 0.009)
Provides: font-hosny-amiri
Description: Arabic Naskh style typographically oriented font
 Amiri is a classical Arabic typeface in Naskh style for typesetting
 books and other running text.
 .
 Its design is a revival of the beautiful typeface pioneered in early
 20th century by Bulaq Press in Cairo, also known as Amiria Press, after
 which the font is named.
 .
 Amiri font covers the full Unicode 6.0 Arabic and Arabic Supplement
 blocks, as well as the compatibility Arabic Presentation Forms-A and B
 blocks.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/fonts-hosny-amiri-$1.tar.gz/" \
  https://github.com/alif-type/amiri/releases .*?v?(\d[\d\.]*)\.tar\.gz

## fonts-hosny-amiri 0.111

=== Makefile ===
.PHONY: all clean ttf web pack check

NAME=Amiri
LATIN=AmiriLatin
VERSION=0.111

TOOLS=tools
SRC=sources
WEB=webfonts
DOC=documentation
TESTS=test-suite
FONTS=$(NAME)-Regular $(NAME)-Bold $(NAME)-Slanted $(NAME)-BoldSlanted $(NAME)Quran $(NAME)QuranColored
DIST=$(NAME)-$(VERSION)
WDIST=$(NAME)-$(VERSION)-WebFonts

BUILD=$(TOOLS)/build.py
RUNTEST=$(TOOLS)/runtest.py
MAKECLR=$(TOOLS)/makeclr.py
MAKECSS=$(TOOLS)/makecss.py
MAKEWEB=$(TOOLS)/makeweb.py
PY ?= python3
PY2 ?= python2
FF=$(PY2) $(BUILD)
PP=gpp -I$(SRC)

SFDS=$(FONTS:%=$(SRC)/%.sfdir)
DTTF=$(FONTS:%=%.ttf)
WOFF=$(FONTS:%=$(WEB)/%.woff)
WOF2=$(FONTS:%=$(WEB)/%.woff2)
CSSS=$(WEB)/$(NAME).css
PDFS=$(DOC)/FontTable-$(NAME).pdf $(DOC)/FontTable-$(NAME)Quran.pdf $(DOC)/Documentation-Arabic.pdf
FEAT=$(wildcard $(SRC)/*.fea)
TEST=$(wildcard $(TESTS)/*.test)
TEST+=$(wildcard $(TESTS)/*.ptest)

all: ttf web

ttf: $(DTTF)
web: $(WOFF) $(WOF2) $(CSSS)
doc: $(PDFS)

$(NAME)Quran.ttf: $(SRC)/$(NAME)-Regular.sfdir $(SRC)/latin/$(LATIN)-Regular.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) -DQURAN $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)Quran.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)Quran.fea.pp --version $(VERSION) --quran

$(NAME)QuranColored.ttf: $(NAME)Quran.ttf $(MAKECLR)
	@echo "   FF	$@"
	@$(PY) $(MAKECLR) $< $@

$(NAME)-Regular.ttf: $(SRC)/$(NAME)-Regular.sfdir $(SRC)/latin/$(LATIN)-Regular.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-Regular.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-Regular.fea.pp --version $(VERSION)

$(NAME)-Slanted.ttf: $(SRC)/$(NAME)-Regular.sfdir $(SRC)/latin/$(LATIN)-Italic.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) -DITALIC $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-Slanted.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-Slanted.fea.pp --version $(VERSION) --slant=10

$(NAME)-Bold.ttf: $(SRC)/$(NAME)-Bold.sfdir $(SRC)/latin/$(LATIN)-Bold.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-Bold.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-Bold.fea.pp --version $(VERSION)

$(NAME)-BoldSlanted.ttf: $(SRC)/$(NAME)-Bold.sfdir $(SRC)/latin/$(LATIN)-BoldItalic.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(PP) -DITALIC $(SRC)/$(NAME).fea -o $(SRC)/$(NAME)-BoldSlanted.fea.pp
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME)-BoldSlanted.fea.pp --version $(VERSION) --slant=10

$(WEB)/%.woff $(WEB)/%.woff2: %.ttf $(MAKEWEB)
	@echo "   WEB	$*"
	@mkdir -p $(WEB)
	@$(PY) $(MAKEWEB) $< $(WEB)

$(WEB)/%.css: $(WOFF) $(MAKECSS)
	@echo "   GEN	$@"
	@mkdir -p $(WEB)
	@$(PY) $(MAKECSS) --css=$@ --fonts="$(WOFF)"

$(DOC)/FontTable-$(NAME)Quran.pdf: $(NAME)Quran.ttf
	@echo "   GEN	$@"
	@mkdir -p $(DOC)
	@fntsample --font-file $< --output-file $@ --write-outline --use-pango

$(DOC)/FontTable-$(NAME).pdf: $(NAME)-Regular.ttf
	@echo "   GEN	$@"
	@mkdir -p $(DOC)
	@fntsample --font-file $< --output-file $@ --write-outline --use-pango

$(DOC)/Documentation-Arabic.pdf: $(DOC)/Documentation-Arabic.tex $(DTTF)
	@echo "   GEN	$@"
	@latexmk --norc --xelatex --quiet --output-directory=${DOC} $<

check: $(TEST) $(DTTF)
	@echo "running tests"
	@$(foreach font,$(DTTF),echo "   OTS	$(font)" && ots-sanitize --quiet $(font) &&) true
	@$(PY) $(RUNTEST) $(TEST)

clean:
	rm -rfv $(DTTF) $(WOFF) $(WOF2) $(CSSS) $(PDFS) $(SRC)/$(NAME).fea.pp
	rm -rfv $(DOC)/documentation-arabic.{aux,log,toc}

distclean:
	@rm -rf $(DIST) $(DIST).zip $(WDIST) $(WDIST).zip

dist: all check pack doc
	@echo "   Making dist tarball"
	@mkdir -p $(DIST)
	@mkdir -p $(WDIST)
	@cp OFL.txt $(DIST)
	@cp OFL.txt $(WDIST)
	@cp $(DTTF) $(DIST)
	@cp README.md $(DIST)/README
	@cp README-Arabic.md $(DIST)/README-Arabic
	@cp NEWS.md $(DIST)/NEWS
	@cp NEWS-Arabic.md $(DIST)/NEWS-Arabic
	@cp $(WOFF) $(WDIST)
	@cp $(WOF2) $(WDIST)
	@cp $(CSSS) $(WDIST)
	@cp $(WEB)/README $(WDIST)
	@cp $(PDFS) $(DIST)
	@zip -r $(DIST).zip $(DIST)
	@zip -r $(WDIST).zip $(WDIST)

=== debian/changelog ===
fonts-hosny-amiri (0.111-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 11 Oct 2019 13:53:59 -0700

fonts-hosny-amiri (0.111-2) unstable; urgency=medium

  * Updated standards version to 4.1.5
  * Bumped compat level to 11
  * Fix path of docs to install (Closes: #903171)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 12 Jul 2018 04:51:45 +0200

fonts-hosny-amiri (0.111-1) unstable; urgency=medium

  * New upstream release
  * Update standards version
  * Update Vcs-* URLs
  * Switch to secure copyright format URL
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 19 Jun 2018 03:01:34 +0200

=== debian/control ===
Source: fonts-hosny-amiri
Section: fonts
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: fontforge-nox | fontforge
Standards-Version: 4.1.5
Homepage: http://www.amirifont.org
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-hosny-amiri.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-hosny-amiri

Package: fonts-hosny-amiri
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: font-hosny-amiri (<< 0.009)
Provides: font-hosny-amiri
Description: Arabic Naskh style typographically oriented font
 Amiri is a classical Arabic typeface in the Naskh style for typesetting
 books and other running text.
 .
 Its design is a revival of the beautiful typeface pioneered in the early
 20th century by Bulaq Press in Cairo, also known as Amiria Press, after
 which the font is named.
 .
 The Amiri font covers the full Unicode 6.0 Arabic and Arabic Supplement
 blocks, as well as the compatibility Arabic Presentation Forms-A and B
 blocks.

## fonts-hosny-amiri 0.112

=== Makefile ===
.PHONY: all clean ttf web pack check

NAME=Amiri
LATIN=AmiriLatin
VERSION=0.112

TOOLS=tools
SRC=sources
WEB=webfonts
DOC=documentation
TESTS=test-suite
FONTS=$(NAME)-Regular $(NAME)-Bold $(NAME)-Slanted $(NAME)-BoldSlanted $(NAME)Quran $(NAME)QuranColored
DIST=$(NAME)-$(VERSION)
WDIST=$(NAME)-$(VERSION)-WebFonts
CDIST=$(NAME)-$(VERSION)-CTAN

BUILD=$(TOOLS)/build.py
MAKECLR=$(TOOLS)/makeclr.py
MAKECSS=$(TOOLS)/makecss.py
MAKEWEB=$(TOOLS)/makeweb.py
PY ?= python
FF=$(PY) $(BUILD)

SFDS=$(FONTS:%=$(SRC)/%.sfdir)
DTTF=$(FONTS:%=%.ttf)
DOTF=$(FONTS:%=%.otf)
WOFF=$(FONTS:%=$(WEB)/%.woff)
WOF2=$(FONTS:%=$(WEB)/%.woff2)
CSSS=$(WEB)/$(NAME).css
PDFS=$(DOC)/Documentation-Arabic.pdf
FEAT=$(wildcard $(SRC)/*.fea)
TEST=$(wildcard $(TESTS)/*.test)
TEST+=$(wildcard $(TESTS)/*.ptest)

export SOURCE_DATE_EPOCH ?= 0

all: ttf web

ttf: $(DTTF)
otf: $(DOTF)
web: $(WOFF) $(WOF2) $(CSSS)
doc: $(PDFS)

$(NAME)Quran.ttf $(NAME)Quran.otf: $(SRC)/$(NAME)-Regular.sfdir $(SRC)/latin/$(LATIN)-Regular.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION) --quran

$(NAME)QuranColored.ttf: $(NAME)Quran.ttf $(MAKECLR)
	@echo "   FF	$@"
	@$(PY) $(MAKECLR) $< $@

$(NAME)QuranColored.otf: $(NAME)Quran.otf $(MAKECLR)
	@echo "   FF	$@"
	@$(PY) $(MAKECLR) $< $@

$(NAME)-Regular.ttf $(NAME)-Regular.otf: $(SRC)/$(NAME)-Regular.sfdir $(SRC)/latin/$(LATIN)-Regular.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION)

$(NAME)-Slanted.ttf $(NAME)-Slanted.otf: $(SRC)/$(NAME)-Regular.sfdir $(SRC)/latin/$(LATIN)-Italic.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION) --slant=10

$(NAME)-Bold.ttf $(NAME)-Bold.otf: $(SRC)/$(NAME)-Bold.sfdir $(SRC)/latin/$(LATIN)-Bold.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION)

$(NAME)-BoldSlanted.ttf $(NAME)-BoldSlanted.otf: $(SRC)/$(NAME)-Bold.sfdir $(SRC)/latin/$(LATIN)-BoldItalic.sfdir $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION) --slant=10

$(WEB)/%.woff $(WEB)/%.woff2: %.ttf $(MAKEWEB)
	@echo "   WEB	$*"
	@mkdir -p $(WEB)
	@$(PY) $(MAKEWEB) $< $(WEB)

$(WEB)/%.css: $(WOFF) $(MAKECSS)
	@echo "   GEN	$@"
	@mkdir -p $(WEB)
	@$(PY) $(MAKECSS) --css=$@ --fonts="$(WOFF)"

$(DOC)/Documentation-Arabic.pdf: $(DOC)/Documentation-Arabic.tex $(DTTF)
	@echo "   GEN	$@"
	@latexmk --norc --xelatex --quiet --output-directory=${DOC} $<

check: $(DTTF)
	@echo "running tests"
	@$(foreach font,$(DTTF),echo "   OTS	$(font)" && python -m ots --quiet $(font) &&) true

clean:
	rm -rfv $(DTTF) $(WOFF) $(WOF2) $(CSSS) $(PDFS) $(SRC)/$(NAME)*.fea.pp
	rm -rfv $(DOC)/documentation-arabic.{aux,log,toc}

distclean: clean
	rm -rf {$(DIST),$(CDIST),$(WDIST)}{,.zip}

dist: all check pack doc
	@rm -rf $(DIST) $(CDIST) $(WDIST)
	@mkdir -p $(DIST) $(CDIST) $(WDIST)
	@cp OFL.txt $(DIST)
	@cp OFL.txt $(CDIST)
	@cp OFL.txt $(WDIST)
	@cp $(DTTF) $(DIST)
	@cp $(DTTF) $(CDIST)
	@cp README.md $(DIST)/README
	@cp README.md $(CDIST)/README
	@cp README-Arabic.md $(DIST)/README-Arabic
	@cp README-Arabic.md $(CDIST)/README-Arabic
	@cp NEWS.md $(DIST)/NEWS
	@cp NEWS.md $(CDIST)/NEWS
	@cp NEWS-Arabic.md $(DIST)/NEWS-Arabic
	@cp NEWS-Arabic.md $(CDIST)/NEWS-Arabic
	@cp $(NAME).fontspec $(CDIST)
	@cp $(WOFF) $(WDIST)
	@cp $(WOF2) $(WDIST)
	@cp $(CSSS) $(WDIST)
	@cp $(WEB)/README $(WDIST)
	@cp $(PDFS) $(DIST)
	@cp $(PDFS) $(CDIST)
	@echo "   ZIP  $(DIST)"
	@zip -rq $(DIST).zip $(DIST)
	@echo "   ZIP  $(CDIST)"
	@zip -rq $(CDIST).zip $(CDIST)
	@echo "   ZIP  $(WDIST)"
	@zip -rq $(WDIST).zip $(WDIST)

=== requirements.txt ===
fonttools[woff]==3.42.0
opentype-sanitizer==7.1.9
pcpp==1.20.1
#HarfPy==0.8

=== debian/changelog ===
fonts-hosny-amiri (0.112-2) unstable; urgency=medium

  * Add Rules-Requires-Root: no
  * Use https for Homepage
  * Replace debhelper & d/compat with: debhelper-compat (= 12) in build-deps
  * d/watch: use v4 syntax

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 18 Oct 2019 03:46:17 +0200

fonts-hosny-amiri (0.112-1) unstable; urgency=medium

  * Imported Upstream version 0.112
  * Bumped compat level to 12
  * Update standards version to 4.4.1
  * Update copyright years
  * Remove override for dh_builddeb

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 11 Oct 2019 11:38:45 +0200

=== debian/control ===
Source: fonts-hosny-amiri
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: fontforge-nox | fontforge
Standards-Version: 4.4.1
Rules-Requires-Root:no
Homepage: https://www.amirifont.org
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-hosny-amiri.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-hosny-amiri

Package: fonts-hosny-amiri
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: font-hosny-amiri (<< 0.009)
Provides: font-hosny-amiri
Description: Arabic Naskh style typographically oriented font
 Amiri is a classical Arabic typeface in Naskh style for typesetting
 books and other running text.
 .
 Its design is a revival of the beautiful typeface pioneered in early
 20th century by Bulaq Press in Cairo, also known as Amiria Press, after
 which the font is named.
 .
 Amiri font covers the full Unicode 6.0 Arabic and Arabic Supplement
 blocks, as well as the compatibility Arabic Presentation Forms-A and B
 blocks.

## fonts-hosny-amiri 0.113

=== Makefile ===
.PHONY: all clean ttf web pack check

NAME=Amiri
LATIN=AmiriLatin
VERSION=0.113

SRC=sources
DOC=documentation
FONTS=$(NAME)-Regular $(NAME)-Bold $(NAME)-Slanted $(NAME)-BoldSlanted $(NAME)Quran $(NAME)QuranColored
DIST=$(NAME)-$(VERSION)
CDIST=$(NAME)-$(VERSION)-CTAN

BUILD=build.py
MAKEQURAN=mkquran.py
PY ?= python
FF=$(PY) $(BUILD)

SFDS=$(FONTS:%=$(SRC)/%.sfdir)
DTTF=$(FONTS:%=%.ttf)
DOTF=$(FONTS:%=%.otf)
PDFS=$(DOC)/Documentation-Arabic.pdf
FEAT=$(wildcard $(SRC)/*.fea)

export SOURCE_DATE_EPOCH ?= 0

all: ttf otf

ttf: $(DTTF)
otf: $(DOTF)
doc: $(PDFS)

$(NAME)QuranColored.ttf $(NAME)QuranColored.otf: $(SRC)/$(NAME)-Regular.sfdir $(SRC)/latin/$(LATIN)-Regular.sfd $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION) --quran

$(NAME)Quran.ttf: $(NAME)QuranColored.ttf $(MAKEQURAN)
	@echo "   FF	$@"
	@$(PY) $(MAKEQURAN) $< $@

$(NAME)Quran.otf: $(NAME)QuranColored.otf $(MAKEQURAN)
	@echo "   FF	$@"
	@$(PY) $(MAKEQURAN) $< $@

$(NAME)-Regular.ttf $(NAME)-Regular.otf: $(SRC)/$(NAME)-Regular.sfdir $(SRC)/latin/$(LATIN)-Regular.sfd $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION)

$(NAME)-Slanted.ttf $(NAME)-Slanted.otf: $(SRC)/$(NAME)-Regular.sfdir $(SRC)/latin/$(LATIN)-Slanted.sfd $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION) --slant=10

$(NAME)-Bold.ttf $(NAME)-Bold.otf: $(SRC)/$(NAME)-Bold.sfdir $(SRC)/latin/$(LATIN)-Bold.sfd $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION)

$(NAME)-BoldSlanted.ttf $(NAME)-BoldSlanted.otf: $(SRC)/$(NAME)-Bold.sfdir $(SRC)/latin/$(LATIN)-BoldSlanted.sfd $(SRC)/$(NAME).fea $(FEAT) $(BUILD)
	@echo "   FF	$@"
	@$(FF) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION) --slant=10

$(DOC)/Documentation-Arabic.pdf: $(DOC)/Documentation-Arabic.tex $(DTTF)
	@echo "   GEN	$@"
	@latexmk --norc --xelatex --quiet --output-directory=${DOC} $<

check: $(DTTF)
	@echo "running tests"
	@$(foreach font,$(DTTF),echo "   OTS	$(font)" && python -m ots --quiet $(font) &&) true

clean:
	rm -rfv $(DTTF) $(PDFS) $(SRC)/$(NAME)*.fea.pp
	rm -rfv $(DOC)/documentation-arabic.{aux,log,toc}

distclean: clean
	rm -rf {$(DIST),$(CDIST)}{,.zip}

dist: all check pack doc
	@rm -rf $(DIST) $(CDIST)
	@mkdir -p $(DIST) $(CDIST)
	@cp OFL.txt $(DIST)
	@cp OFL.txt $(CDIST)
	@cp $(DTTF) $(DIST)
	@cp $(DTTF) $(CDIST)
	@cp README.md $(DIST)/README
	@cp README.md $(CDIST)/README
	@cp README-Arabic.md $(DIST)/README-Arabic
	@cp README-Arabic.md $(CDIST)/README-Arabic
	@cp NEWS.md $(DIST)/NEWS
	@cp NEWS.md $(CDIST)/NEWS
	@cp NEWS-Arabic.md $(DIST)/NEWS-Arabic
	@cp NEWS-Arabic.md $(CDIST)/NEWS-Arabic
	@cp $(NAME).fontspec $(CDIST)
	@cp $(PDFS) $(DIST)
	@cp $(PDFS) $(CDIST)
	@echo "   ZIP  $(DIST)"
	@zip -rq $(DIST).zip $(DIST)
	@echo "   ZIP  $(CDIST)"
	@zip -rq $(CDIST).zip $(CDIST)

=== requirements.txt ===
cffsubr==0.2.1
fonttools[ufo,lxml]==4.10.2
pcpp==1.21
skia-pathops==0.4.1
ufo2ft==2.14.0
ufoLib2==0.7.1
git+git://github.com/alif-type/sfdLib.git@v1.0.5#egg=sfdLib

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: fonts-hosny-amiri
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: fontforge-nox | fontforge
-Standards-Version: 4.4.1
-Rules-Requires-Root:no
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.amirifont.org
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-hosny-amiri.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-hosny-amiri

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/fonts-hosny-amiri-$1.tar.gz/" \
  https://github.com/alif-type/amiri/releases .*?v?(\d[\d\.]*)\.tar\.gz
